/* ==========================================
   Page Elements
   ========================================== */

*, *:before, *:after {
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

html {
  font: 100%/1.5 "Open Sans", sans-serif;
  -webkit-font-smoothing: antialiased;
}

body {
  background: #000;
  color: #fff;
  margin: 0;
}

header { padding: 1.5rem; }

.wrapper { width: 100%; }

/* ==========================================
   Basic Typography
   ========================================== */

h1, h2, h3, h4 {
  margin: 0;
  padding: 0;
}

h1 { font-size: 1.5rem; }

p { margin: 0 0 1rem 0; }

p:last-child { margin-bottom: 0; }

/* ==========================================
   Project
   ========================================== */

.page-title {
  color: #fff;
  float: left;
  font-size: 1.6rem;
  font-weight: 300;
}

.project-nav {
  list-style: none;
  margin: 0 auto;
  padding: 0;
}

.show-all, .hide-all {
  color: #777;
  cursor: pointer;
  float: right;
  padding-top: .5rem;
  -webkit-transition: background .3s ease;
  -moz-transition: background .3s ease;
  -o-transition: background .3s ease;
  transition: background .3s ease;
}

.show-all { margin-left: 1.5rem; }

.footer-link {
  display: block;
  color: #fff;
  float: none;
  text-decoration: none;
}

.card {
  border-bottom: 1px solid #000;
  cursor: pointer;
  float: none;
  width: 100%;
}

.card:last-of-type { border-bottom: 0; }

@media screen and (min-width: 600px) {
  .card {
    float: left;
    width: 50%;
  }
  .card:nth-child(even) { border-right: 1px solid #000; }
}

@media screen and (min-width: 900px) {
  .card { width: 33.33%; }
  .card:nth-child(1n) { border-right: 1px solid #000; }
  .card:nth-child(3n+2) { border-right: 0; }
}

@media screen and (min-width: 1300px) {
  .card { width: 25%; }
  .card:nth-child(1n) { border-right: 1px solid #000; }
  .card:nth-child(4n+3) { border-right: 0; }
}

@media screen and (min-width: 1600px) {
  .card { width: 20%; }
  .card:nth-child(1n) { border-right: 1px solid #000; }
  .card:nth-child(5n+4) { border-right: 0; }
}

.card-overlay {
  background: rgba(0, 0, 0, 0.3);
  display: block;
  width: 100%;
  -webkit-transition: background .3s ease;
  -moz-transition: background .3s ease;
  -o-transition: background .3s ease;
  transition: background .3s ease;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

@media screen and (min-width: 600px) {
  .card-overlay { height: 260px; }
}

.card-overlay:hover { background: none; }

.inner { padding: 1rem; }

@media screen and (max-width: 600px) {
  .inner { padding: 2rem 1rem; }
}

.inner-title {
  background: rgba(0, 0, 0, 0.7);
  color: #fff;
  display: inline-block;
  font-size: .8rem;
  font-weight: 700;
  padding: .2rem .5rem;
  text-transform: uppercase;
}

.inner-title:before {
  color: #ffd54f;
  content: "+";
  margin-right: .3rem;
}

.inner-description {
  background: rgba(0, 0, 0, 0.7);
  color: #fff;
  display: none;
  font-size: .9rem;
  margin-top: 1rem;
  padding: 1rem;
}

.inner-footer { margin-top: 1rem; }

.inner-footer a {
  color: #fff;
  font-weight: 700;
  text-decoration: none;
  -webkit-transition: color .3s ease;
  -moz-transition: color .3s ease;
  -o-transition: color .3s ease;
  transition: color .3s ease;
}

.inner a:hover { color: #ffd54f; }

.inner-footer a:before {
  color: #ffd54f;
  content: "\f0ac";
  font-family: FontAwesome;
  font-weight: 400;
  margin-right: .5rem;
}

.featured { width: 100%; }

.featured .inner-description { display: block; }

@media screen and (min-width: 900px) {
  .featured { width: 66.66%; }
}

@media screen and (min-width: 1300px) {
  .featured { width: 50%; }
}

@media screen and (min-width: 1600px) {
  .featured { width: 40%; }
}

/* ==========================================
   Cards
   ========================================== */

.dota {
  background: url("../../assets/images/dota.jpg") no-repeat;
  background-position: 50% 20%;
  background-size: cover;
}

.dragonage {
  background: url("../../assets/images/dragonage.jpg") no-repeat;
  background-position: 50% 0;
  background-size: cover;
}

.gwtdt {
  background: url("../../assets/images/gwtdt.jpg") no-repeat;
  background-position: 50% 20%;
  background-size: cover;
}

.got {
  background: url("../../assets/images/got.jpg") no-repeat;
  background-position: 50% 0;
  background-size: cover;
}

.masseffect {
  background: url("../../assets/images/masseffect.jpg") no-repeat;
  background-position: 50% 0;
  background-size: cover;
}

.newgirl {
  background: url("../../assets/images/newgirl.jpg") no-repeat;
  background-position: 90% 30%;
  background-size: cover;
}

.siliconvalley {
  background: url("../../assets/images/siliconvalley.jpg") no-repeat;
  background-position: 50% 8%;
  background-size: cover;
}

.starwars {
  background: url("../../assets/images/starwars.jpg") no-repeat;
  background-position: 50% 20%;
  background-size: cover;
}

.wow {
  background: url("../../assets/images/wow.jpg") no-repeat;
  background-position: 50% 20%;
  background-size: cover;
}

/* ==========================================
   Clearfix
   ========================================== */

.wrapper {
   clear: both;
   *zoom: 1;
 }

.wrapper:before, .wrapper:after {
  clear: both;
  content: " ";
  display: table;
}
